/*
 * Copyright 1999-2015 dangdang.com.
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * </p>
 */

package com.dangdang.ddframe.job.internal.execution;

import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertNull;
import static org.junit.Assert.assertThat;

import org.junit.Test;

public final class ExecutionNodeTest {
    
    private ExecutionNode executionNode = new ExecutionNode("testJob");
    
    @Test
    public void assertGetRunningNode() {
        assertThat(ExecutionNode.getRunningNode(0), is("execution/0/running"));
    }
    
    @Test
    public void assertGetCompletedNode() {
        assertThat(ExecutionNode.getCompletedNode(0), is("execution/0/completed"));
    }
    
    @Test
    public void assertGetLastBeginTimeNode() {
        assertThat(ExecutionNode.getLastBeginTimeNode(0), is("execution/0/lastBeginTime"));
    }
    
    @Test
    public void assertGetNextFireTimeNode() {
        assertThat(ExecutionNode.getNextFireTimeNode(0), is("execution/0/nextFireTime"));
    }
    
    @Test
    public void assertGetLastCompleteTimeNode() {
        assertThat(ExecutionNode.getLastCompleteTimeNode(0), is("execution/0/lastCompleteTime"));
    }
    
    @Test
    public void assertGetMisfireNode() {
        assertThat(ExecutionNode.getMisfireNode(0), is("execution/0/misfire"));
    }
    
    @Test
    public void assertGetItemWhenNotRunningItemPath() {
        assertNull(executionNode.getItemByRunningItemPath("/testJob/execution/0/completed"));
    }
    
    @Test
    public void assertGetItemByRunningItemPath() {
        assertThat(executionNode.getItemByRunningItemPath("/testJob/execution/0/running"), is(0));
    }
}
